curl --location 'http://fssportal.com/api/v1/measurements/get' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"client_id": 1856,
"room_id": 4945,
"group_id": 11157,
"measurement_type_id": 1
}'
const response = await fetch('http://fssportal.com/api/v1/measurements/get', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"client_id": 1856,
"room_id": 4945,
"group_id": 11157,
"measurement_type_id": 1
})
});
const data = await response.json();
{
"message": "Measurement details get successfully!",
"data": {
"measurements": [
{
"id": 12170,
"user_id": 68,
"client_id": 1856,
"room_id": 4945,
"group_id": 11157,
"measurement_type_id": 1,
"unit_type": 0,
"mount_type": "",
"window_type": null,
"window_name": "test",
"model": null,
"brand_name": null,
"refrance_image": null,
"w_top": "0.000",
"w_middle": "0.000",
"w_bottom": "0.000",
"h_left": "0.000",
"h_middle": "0.000",
"h_right": "0.000",
"d_sill": "0.000",
"t_floor_window_to_floor": null,
"window_to_wall_obs_left": null,
"window_to_wall_obs_right": null,
"window_to_floor_obs": null,
"outside_h": null,
"outside_w": null,
"curtain_rod_to_window": null,
"window_to_obs": null,
"curtain_rod_len": null,
"window_to_ceiling": null,
"left_edge_w": "0.000",
"right_edge_w": "0.000",
"top_edge_to_ceiling_h": "0.000",
"bottom_edge_to_floor_h": "0.000",
"middle_a_w": "0.000",
"middle_b_w": "0.000",
"middle_c_w": "0.000",
"middle_d_w": null,
"wall_to_wall_w": "0.000",
"floor_to_ceiling_h": "0.000",
"a": null,
"b": null,
"c": null,
"d": null,
"e": null,
"f": null,
"g": null,
"h": null,
"i": null,
"j": null,
"k": null,
"l": null,
"w": null,
"r": null,
"w1": null,
"h1": null,
"d1": null,
"x1": null,
"b1": null,
"w2": null,
"h2": null,
"d2": null,
"x2": null,
"b2": null,
"floor_to_ceiling": null,
"bottom_trim_to_floor": "0.000",
"floor_to_trim": null,
"floor_to_sill": null,
"wall_to_wall": null,
"left_wall_to_window": null,
"left_wall_to_trim": null,
"middle_a-b_width": null,
"middle_a-b_trim_to_trim": null,
"window_a_to_break": null,
"window_b_to_break": null,
"top_trim_to_obstruction": null,
"top_trim_to_curtain_rod": null,
"top_trim_to_molding": null,
"top_trim_to_ceiling": null,
"middle_b-c_trim_to_trim": null,
"middle_b-c_width": null,
"middle_c-d_trim_to_trim": null,
"middle_c-d_width": null,
"middle_d-e_width": null,
"middle_d-e_trim_to_trim": null,
"window_e_to_break": null,
"window_d_to_break": null,
"window_a-e_outside_width": null,
"window_a-e_outside_height": null,
"right_wall_to_window": null,
"right_wall_to_trim": null,
"curtain_rod_length": null,
"window_a_c_outside_width": null,
"window_a_c_outside_height": null,
"window_a-d_outside_width": null,
"window_a-d_outside_height": null,
"window_outside_width": null,
"window_outside_height": null,
"window_a_w_top": null,
"window_a_w_middle": null,
"window_a_w_bottom": null,
"window_a_h_left": null,
"window_a_h_middle": null,
"window_a_h_right": null,
"window_a_sill_depth": null,
"window_b_w_top": null,
"window_b_w_middle": null,
"window_b_w_bottom": null,
"window_b_h_left": null,
"window_b_h_middle": null,
"window_b_h_right": null,
"window_b_sill_depth": null,
"window_c_w_top": null,
"window_c_w_middle": null,
"window_c_w_bottom": null,
"window_c_h_left": null,
"window_c_h_middle": null,
"window_c_h_right": null,
"window_c_sill_depth": null,
"window_d_w_top": null,
"window_d_w_middle": null,
"window_d_w_bottom": null,
"window_d_h_left": null,
"window_d_h_middle": null,
"window_d_h_right": null,
"window_d_sill_depth": null,
"window_e_w_top": null,
"window_e_w_middle": null,
"window_e_w_bottom": null,
"window_e_h_left": null,
"window_e_h_middle": null,
"window_e_h_right": null,
"window_e_sill_depth": null,
"window_a_b_outside_width": null,
"window_a_b_outside_height": null,
"focus_width": null,
"focus_height": null,
"focus_width_key": null,
"focus_height_key": null,
"curtain_rod_to_floor": null,
"trim_width": null,
"number_in_series": null,
"for_shutter": "",
"square_feet": "",
"square_feet2": null,
"square_feet3": null,
"square_feet4": null,
"square_feet5": null,
"custom_field": [],
"min_value_fields": {},
"height": null,
"angle": null,
"valance_height": null,
"headroom": null,
"coverage_depth": null,
"opening_clearance": null,
"width_cassette": null,
"left_clearance": null,
"right_clearance": null,
"awning_config": null,
"standoff_bracket": null,
"projection_lenth": null,
"bracket_data": null,
"note": "",
"installation_instructions": "",
"measurement_unique_id": null,
"offset_value": null,
"offset_value_keys": null,
"status": 1,
"created_at": "2026-05-14T12:01:04.000000Z",
"created_by": 0,
"updated_by": 0,
"images": []
}
]
}
}
Measurements
Get Measurements
Get measurements for a client
POST
/
api
/
v1
/
measurements
/
get
curl --location 'http://fssportal.com/api/v1/measurements/get' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"client_id": 1856,
"room_id": 4945,
"group_id": 11157,
"measurement_type_id": 1
}'
const response = await fetch('http://fssportal.com/api/v1/measurements/get', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"client_id": 1856,
"room_id": 4945,
"group_id": 11157,
"measurement_type_id": 1
})
});
const data = await response.json();
{
"message": "Measurement details get successfully!",
"data": {
"measurements": [
{
"id": 12170,
"user_id": 68,
"client_id": 1856,
"room_id": 4945,
"group_id": 11157,
"measurement_type_id": 1,
"unit_type": 0,
"mount_type": "",
"window_type": null,
"window_name": "test",
"model": null,
"brand_name": null,
"refrance_image": null,
"w_top": "0.000",
"w_middle": "0.000",
"w_bottom": "0.000",
"h_left": "0.000",
"h_middle": "0.000",
"h_right": "0.000",
"d_sill": "0.000",
"t_floor_window_to_floor": null,
"window_to_wall_obs_left": null,
"window_to_wall_obs_right": null,
"window_to_floor_obs": null,
"outside_h": null,
"outside_w": null,
"curtain_rod_to_window": null,
"window_to_obs": null,
"curtain_rod_len": null,
"window_to_ceiling": null,
"left_edge_w": "0.000",
"right_edge_w": "0.000",
"top_edge_to_ceiling_h": "0.000",
"bottom_edge_to_floor_h": "0.000",
"middle_a_w": "0.000",
"middle_b_w": "0.000",
"middle_c_w": "0.000",
"middle_d_w": null,
"wall_to_wall_w": "0.000",
"floor_to_ceiling_h": "0.000",
"a": null,
"b": null,
"c": null,
"d": null,
"e": null,
"f": null,
"g": null,
"h": null,
"i": null,
"j": null,
"k": null,
"l": null,
"w": null,
"r": null,
"w1": null,
"h1": null,
"d1": null,
"x1": null,
"b1": null,
"w2": null,
"h2": null,
"d2": null,
"x2": null,
"b2": null,
"floor_to_ceiling": null,
"bottom_trim_to_floor": "0.000",
"floor_to_trim": null,
"floor_to_sill": null,
"wall_to_wall": null,
"left_wall_to_window": null,
"left_wall_to_trim": null,
"middle_a-b_width": null,
"middle_a-b_trim_to_trim": null,
"window_a_to_break": null,
"window_b_to_break": null,
"top_trim_to_obstruction": null,
"top_trim_to_curtain_rod": null,
"top_trim_to_molding": null,
"top_trim_to_ceiling": null,
"middle_b-c_trim_to_trim": null,
"middle_b-c_width": null,
"middle_c-d_trim_to_trim": null,
"middle_c-d_width": null,
"middle_d-e_width": null,
"middle_d-e_trim_to_trim": null,
"window_e_to_break": null,
"window_d_to_break": null,
"window_a-e_outside_width": null,
"window_a-e_outside_height": null,
"right_wall_to_window": null,
"right_wall_to_trim": null,
"curtain_rod_length": null,
"window_a_c_outside_width": null,
"window_a_c_outside_height": null,
"window_a-d_outside_width": null,
"window_a-d_outside_height": null,
"window_outside_width": null,
"window_outside_height": null,
"window_a_w_top": null,
"window_a_w_middle": null,
"window_a_w_bottom": null,
"window_a_h_left": null,
"window_a_h_middle": null,
"window_a_h_right": null,
"window_a_sill_depth": null,
"window_b_w_top": null,
"window_b_w_middle": null,
"window_b_w_bottom": null,
"window_b_h_left": null,
"window_b_h_middle": null,
"window_b_h_right": null,
"window_b_sill_depth": null,
"window_c_w_top": null,
"window_c_w_middle": null,
"window_c_w_bottom": null,
"window_c_h_left": null,
"window_c_h_middle": null,
"window_c_h_right": null,
"window_c_sill_depth": null,
"window_d_w_top": null,
"window_d_w_middle": null,
"window_d_w_bottom": null,
"window_d_h_left": null,
"window_d_h_middle": null,
"window_d_h_right": null,
"window_d_sill_depth": null,
"window_e_w_top": null,
"window_e_w_middle": null,
"window_e_w_bottom": null,
"window_e_h_left": null,
"window_e_h_middle": null,
"window_e_h_right": null,
"window_e_sill_depth": null,
"window_a_b_outside_width": null,
"window_a_b_outside_height": null,
"focus_width": null,
"focus_height": null,
"focus_width_key": null,
"focus_height_key": null,
"curtain_rod_to_floor": null,
"trim_width": null,
"number_in_series": null,
"for_shutter": "",
"square_feet": "",
"square_feet2": null,
"square_feet3": null,
"square_feet4": null,
"square_feet5": null,
"custom_field": [],
"min_value_fields": {},
"height": null,
"angle": null,
"valance_height": null,
"headroom": null,
"coverage_depth": null,
"opening_clearance": null,
"width_cassette": null,
"left_clearance": null,
"right_clearance": null,
"awning_config": null,
"standoff_bracket": null,
"projection_lenth": null,
"bracket_data": null,
"note": "",
"installation_instructions": "",
"measurement_unique_id": null,
"offset_value": null,
"offset_value_keys": null,
"status": 1,
"created_at": "2026-05-14T12:01:04.000000Z",
"created_by": 0,
"updated_by": 0,
"images": []
}
]
}
}
Endpoint
POST /api/v1/measurements/get
This endpoint requires authentication
Headers
string
required
Your API access token. You can also set this globally in the API playground.
string
required
The platform making the request:
WEB, IOS, or ANDROID.Request Body
integer
required
client id
integer
room id
integer
required
Required to fetch measurements belonging to a specific group.
integer
required
measurement type id
Response
string
message
object
data
Show data
Show data
array
measurements
Show measurements item
Show measurements item
integer
id
integer
user id
integer
client id
integer
room id
integer
group id
integer
measurement type id
integer
unit type
string
mount type
object
window type
string
window name
object
model
object
brand name
object
refrance image
string
w top
string
w middle
string
w bottom
string
h left
string
h middle
string
h right
string
d sill
object
t floor window to floor
object
window to wall obs left
object
window to wall obs right
object
window to floor obs
object
outside h
object
outside w
object
curtain rod to window
object
window to obs
object
curtain rod len
object
window to ceiling
string
left edge w
string
right edge w
string
top edge to ceiling h
string
bottom edge to floor h
string
middle a w
string
middle b w
string
middle c w
object
middle d w
string
wall to wall w
string
floor to ceiling h
object
a
object
b
object
c
object
d
object
e
object
f
object
g
object
h
object
i
object
j
object
k
object
l
object
w
object
r
object
w1
object
h1
object
d1
object
x1
object
b1
object
w2
object
h2
object
d2
object
x2
object
b2
object
floor to ceiling
string
bottom trim to floor
object
floor to trim
object
floor to sill
object
wall to wall
object
left wall to window
object
left wall to trim
object
middle a-b width
object
middle a-b trim to trim
object
window a to break
object
window b to break
object
top trim to obstruction
object
top trim to curtain rod
object
top trim to molding
object
top trim to ceiling
object
middle b-c trim to trim
object
middle b-c width
object
middle c-d trim to trim
object
middle c-d width
object
middle d-e width
object
middle d-e trim to trim
object
window e to break
object
window d to break
object
window a-e outside width
object
window a-e outside height
object
right wall to window
object
right wall to trim
object
curtain rod length
object
window a c outside width
object
window a c outside height
object
window a-d outside width
object
window a-d outside height
object
window outside width
object
window outside height
object
window a w top
object
window a w middle
object
window a w bottom
object
window a h left
object
window a h middle
object
window a h right
object
window a sill depth
object
window b w top
object
window b w middle
object
window b w bottom
object
window b h left
object
window b h middle
object
window b h right
object
window b sill depth
object
window c w top
object
window c w middle
object
window c w bottom
object
window c h left
object
window c h middle
object
window c h right
object
window c sill depth
object
window d w top
object
window d w middle
object
window d w bottom
object
window d h left
object
window d h middle
object
window d h right
object
window d sill depth
object
window e w top
object
window e w middle
object
window e w bottom
object
window e h left
object
window e h middle
object
window e h right
object
window e sill depth
object
window a b outside width
object
window a b outside height
object
focus width
object
focus height
object
focus width key
object
focus height key
object
curtain rod to floor
object
trim width
object
number in series
string
for shutter
string
square feet
object
square feet2
object
square feet3
object
square feet4
object
square feet5
array
custom field
object
min value fields
Show min_value_fields
Show min_value_fields
object
height
object
angle
object
valance height
object
headroom
object
coverage depth
object
opening clearance
object
width cassette
object
left clearance
object
right clearance
object
awning config
object
standoff bracket
object
projection lenth
object
bracket data
string
note
string
installation instructions
object
measurement unique id
object
offset value
object
offset value keys
integer
status
string
created at
integer
created by
integer
updated by
array
images
curl --location 'http://fssportal.com/api/v1/measurements/get' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"client_id": 1856,
"room_id": 4945,
"group_id": 11157,
"measurement_type_id": 1
}'
const response = await fetch('http://fssportal.com/api/v1/measurements/get', {
method: 'POST',
headers: {
'X-API-Token': 'YOUR_API_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"client_id": 1856,
"room_id": 4945,
"group_id": 11157,
"measurement_type_id": 1
})
});
const data = await response.json();
{
"message": "Measurement details get successfully!",
"data": {
"measurements": [
{
"id": 12170,
"user_id": 68,
"client_id": 1856,
"room_id": 4945,
"group_id": 11157,
"measurement_type_id": 1,
"unit_type": 0,
"mount_type": "",
"window_type": null,
"window_name": "test",
"model": null,
"brand_name": null,
"refrance_image": null,
"w_top": "0.000",
"w_middle": "0.000",
"w_bottom": "0.000",
"h_left": "0.000",
"h_middle": "0.000",
"h_right": "0.000",
"d_sill": "0.000",
"t_floor_window_to_floor": null,
"window_to_wall_obs_left": null,
"window_to_wall_obs_right": null,
"window_to_floor_obs": null,
"outside_h": null,
"outside_w": null,
"curtain_rod_to_window": null,
"window_to_obs": null,
"curtain_rod_len": null,
"window_to_ceiling": null,
"left_edge_w": "0.000",
"right_edge_w": "0.000",
"top_edge_to_ceiling_h": "0.000",
"bottom_edge_to_floor_h": "0.000",
"middle_a_w": "0.000",
"middle_b_w": "0.000",
"middle_c_w": "0.000",
"middle_d_w": null,
"wall_to_wall_w": "0.000",
"floor_to_ceiling_h": "0.000",
"a": null,
"b": null,
"c": null,
"d": null,
"e": null,
"f": null,
"g": null,
"h": null,
"i": null,
"j": null,
"k": null,
"l": null,
"w": null,
"r": null,
"w1": null,
"h1": null,
"d1": null,
"x1": null,
"b1": null,
"w2": null,
"h2": null,
"d2": null,
"x2": null,
"b2": null,
"floor_to_ceiling": null,
"bottom_trim_to_floor": "0.000",
"floor_to_trim": null,
"floor_to_sill": null,
"wall_to_wall": null,
"left_wall_to_window": null,
"left_wall_to_trim": null,
"middle_a-b_width": null,
"middle_a-b_trim_to_trim": null,
"window_a_to_break": null,
"window_b_to_break": null,
"top_trim_to_obstruction": null,
"top_trim_to_curtain_rod": null,
"top_trim_to_molding": null,
"top_trim_to_ceiling": null,
"middle_b-c_trim_to_trim": null,
"middle_b-c_width": null,
"middle_c-d_trim_to_trim": null,
"middle_c-d_width": null,
"middle_d-e_width": null,
"middle_d-e_trim_to_trim": null,
"window_e_to_break": null,
"window_d_to_break": null,
"window_a-e_outside_width": null,
"window_a-e_outside_height": null,
"right_wall_to_window": null,
"right_wall_to_trim": null,
"curtain_rod_length": null,
"window_a_c_outside_width": null,
"window_a_c_outside_height": null,
"window_a-d_outside_width": null,
"window_a-d_outside_height": null,
"window_outside_width": null,
"window_outside_height": null,
"window_a_w_top": null,
"window_a_w_middle": null,
"window_a_w_bottom": null,
"window_a_h_left": null,
"window_a_h_middle": null,
"window_a_h_right": null,
"window_a_sill_depth": null,
"window_b_w_top": null,
"window_b_w_middle": null,
"window_b_w_bottom": null,
"window_b_h_left": null,
"window_b_h_middle": null,
"window_b_h_right": null,
"window_b_sill_depth": null,
"window_c_w_top": null,
"window_c_w_middle": null,
"window_c_w_bottom": null,
"window_c_h_left": null,
"window_c_h_middle": null,
"window_c_h_right": null,
"window_c_sill_depth": null,
"window_d_w_top": null,
"window_d_w_middle": null,
"window_d_w_bottom": null,
"window_d_h_left": null,
"window_d_h_middle": null,
"window_d_h_right": null,
"window_d_sill_depth": null,
"window_e_w_top": null,
"window_e_w_middle": null,
"window_e_w_bottom": null,
"window_e_h_left": null,
"window_e_h_middle": null,
"window_e_h_right": null,
"window_e_sill_depth": null,
"window_a_b_outside_width": null,
"window_a_b_outside_height": null,
"focus_width": null,
"focus_height": null,
"focus_width_key": null,
"focus_height_key": null,
"curtain_rod_to_floor": null,
"trim_width": null,
"number_in_series": null,
"for_shutter": "",
"square_feet": "",
"square_feet2": null,
"square_feet3": null,
"square_feet4": null,
"square_feet5": null,
"custom_field": [],
"min_value_fields": {},
"height": null,
"angle": null,
"valance_height": null,
"headroom": null,
"coverage_depth": null,
"opening_clearance": null,
"width_cassette": null,
"left_clearance": null,
"right_clearance": null,
"awning_config": null,
"standoff_bracket": null,
"projection_lenth": null,
"bracket_data": null,
"note": "",
"installation_instructions": "",
"measurement_unique_id": null,
"offset_value": null,
"offset_value_keys": null,
"status": 1,
"created_at": "2026-05-14T12:01:04.000000Z",
"created_by": 0,
"updated_by": 0,
"images": []
}
]
}
}
Notes
- Authentication is required
⌘I
